<?xml version="1.0" encoding="utf-8"?>
<layout>
    <data>

    </data>
    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        xmlns:app="http://schemas.android.com/apk/res-auto">
        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/vertical_guide"
            android:orientation="horizontal"
            app:layout_constraintGuide_percent="0.5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
        <androidx.appcompat.widget.AppCompatTextView
            android:layout_margin="5dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="0dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:id="@+id/preview"
            android:text="@string/preview_text"
            android:layout_width="0dp"
            android:layout_height="0dp"/>
        <ScrollView
            android:id="@+id/config_setting"
            android:background="#99444444"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/vertical_guide"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="0dp"
            android:layout_height="0dp">
            <LinearLayout
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <include layout="@layout/item_setting_title"/>
                <com.mime.dualscreenview.view.StepsEditor
                    android:id="@+id/text_size"
                    style="@style/StepsEditorStyle" />
                <com.mime.dualscreenview.view.StepsEditor
                    android:id="@+id/letter_space"
                    style="@style/StepsEditorStyle" />
                <com.mime.dualscreenview.view.StepsEditor
                    android:id="@+id/line_space"
                    style="@style/StepsEditorStyle" />
                <com.mime.dualscreenview.view.StepsEditor
                    android:id="@+id/page_padding"
                    style="@style/StepsEditorStyle" />
                <com.mime.dualscreenview.view.ScopeEditor
                    android:id="@+id/page_typesface"
                    style="@style/StepsEditorStyle" />
                <com.mime.dualscreenview.view.ScopeEditor
                    android:id="@+id/page_style"
                    style="@style/StepsEditorStyle" />
            </LinearLayout>
        </ScrollView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>